web3_clientVersion - Ronin
Example code for the web3_clientVersion JSON-RPC method. Complete guide to using the web3_clientVersion JSON-RPC method in the GetBlock.io Web3 documentation.
This method returns the version string of the Ronin client software the node is running. It identifies the node implementation and release.
Parameters
This method does not accept any parameters.
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "web3_clientVersion",
"params": [],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'web3_clientVersion',
params: [],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'web3_clientVersion',
'params': [],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "Ronin/v2.8.0/linux-amd64/go1.22"
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
string
Client software version string
Use Cases
Node Diagnostics: Identify the client implementation and version
Compatibility Checks: Confirm the node runs a supported release
Support Reports: Include the client version in a bug report
Fleet Monitoring: Track client versions across multiple nodes
Error Handling
-32602
Invalid params
A parameter is missing or has the wrong type or format
-32603
Internal error
The node failed to process the request
Web3 Integration
Last updated
Was this helpful?